Skip to main content
POST
/
pullzone
/
{id}
/
purgeCache
Purge Cache
curl --request POST \
  --url https://api.bunny.net/pullzone/{id}/purgeCache \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "CacheTag": "<string>"
}
'
import requests

url = "https://api.bunny.net/pullzone/{id}/purgeCache"

payload = { "CacheTag": "<string>" }
headers = {
    "AccessKey": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({CacheTag: '<string>'})
};

fetch('https://api.bunny.net/pullzone/{id}/purgeCache', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

id
integer<int64>
required

The ID of the Pull Zone that should be cleared

Body

application/json
CacheTag
string | null

Response

The cache was successfuly purged

Last modified on June 26, 2026